<?php

namespace App\Http\Controllers;

use App\Imports\MenuImport;
use Illuminate\Http\Request;
use App\Models\Store;
use App\Models\Product;
use App\Models\Item;
use Maatwebsite\Excel\Facades\Excel;
use MongoDB\Client as Mongo;
use MongoDB\BSON\ObjectID;

class AdminController extends Controller
{
    public function index()
    {
        $stores = Store::all();
        return view('welcome',compact('stores'));
        
    }
    public function uploadMenu(Request $request)
    {
        $store_id = $request->store;
        // echo $store_id;
        // die();
        $rows = Excel::toArray(new MenuImport, $request->file('menu_file'));
        $menu_category = array();
        $menu_products = array();

        $unique_id_last = $this->get_unique_id();
        $unique_id_last_item = $this->get_unique_id_item();


        $unique_id_last++;
        $unique_id_last_item++;

        for($i=1; $i<count($rows[0]); $i++)
        {
            //echo json_encode($rows[0][$i]).'<br>';
            if(!in_array($rows[0][$i][1],$menu_category))
            {
                $menu_category[] = $rows[0][$i][1];
                
                $objectIdStore = new ObjectID($store_id);

                $product = new Product();
                $product->name = [$rows[0][$i][1]];
                $product->is_visible_in_store = true;
                $product->store_id = $objectIdStore; 
                $product->main_product_id = null;
                $product->franchise_id = null;
                $product->group_id = null;
                $product->unique_id_for_store_data = 0;  
                $product->sequence_number = $i;
                // $product->created_at = date('Y-m-d');  
                // $product->updated_at = date('Y-m-d');  
                $product->unique_id = $unique_id_last;        
                $product->save();

                $unique_id_last++;

                $objectIdItem = new ObjectID($product->id);
               // echo "PID : ".$product->id.", ";
            }
            else{

            }

           
            if(!in_array($rows[0][$i][5], $menu_products))
            {
                $item = new Item();
                $item->store_id     = $objectIdStore;
                $item->product_id   = $objectIdItem;
                $item->main_item_id = null;
                $item->franchise_id = null;
                $item->name         = array($rows[0][$i][5]);
                $item->details      = array($rows[0][$i][7]);
                $item->price        = $rows[0][$i][6];
                $item->offer_message_or_percentage = "";
                $item->item_price_without_offer = 0;
                $item->total_quantity = 0;
                $item->in_cart_quantity = false;
                $item->total_added_quantity = 0;
                $item->total_used_quantity = 0;
                $item->sequence_number = 1;
                $item->note_for_item = "";
                $item->unique_id_for_store_data = 0;
                $item->is_item_in_stock = true;
                $item->is_most_popular = false;
                $item->is_visible_in_store = true;
                $item->tax = 0;
                $item->item_taxes = array();
                $item->specifications_unique_id_count = 0;
                $item->specifications = array();
                $item->image_url = array();
                $item->unique_id = $unique_id_last_item;
                $item->save();

                $menu_products[] = $rows[0][$i][5];

                $unique_id_last_item++;

            }

        }

        print_r($menu_category);
        
    }

    public function get_unique_id()
    {
        $products = Product::latest()->first();
        if($products==null)
        {
            return 1;
        }
        else
        {
            return $products->unique_id;
        }
        
    }

    public function get_unique_id_item()
    {
        $products = Item::latest()->first();
        if($products==null)
        {
            return 1;
        }
        else
        {
            return $products->unique_id;
        }
    }
}
